# ---------------------------------------------------------------------------
# txt2fc_res.py
# Created on: Mon Dec 01 2008 11:36:17 AM
#   (generated by ArcGIS/ModelBuilder)
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.overwriteoutput = 1

scenario_dir="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\carnarvon_tsunami_scenario\\"
output_dir = "anuga\\outputs\\"

##time_dir1 = '20081202_084220_run_final_1_27283_alpha0.1_kvanputt'
##time_dir2 = '20081202_084202_run_final_1_27255_alpha0.1_kvanputt'
##time_dir3 = '20081202_084132_run_final_1_68693_alpha0.1_kvanputt'
time_dir4 = '20081202_084025_run_final_0_68693_alpha0.1_kvanputt'
time_dir5 = '20081202_083932_run_final_0_27255_alpha0.1_kvanputt'
time_dir6 = '20081201_103449_run_final_0_27283_alpha0.1_kvanputt'


time_dirs = [time_dir4, time_dir5, time_dir6]#, time_dir4, time_dir5, time_dir6]

for time_dir in time_dirs:

    # Local variables...
    folder =  scenario_dir + output_dir + time_dir + '\\'
    input_dir_name = folder+'carnarvon_res.csv'
    raster_gdb = folder + "raster.gdb"
    layer = 'layer'
    

    print 'Process: Make XY Event Layer'
    gp.MakeXYEventLayer_management(input_dir_name, "longitude", "latitude", layer, "GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994',SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]];IsHighPrecision")

    print 'Process: Feature Class to Feature Class'
    gp.FeatureClassToFeatureClass_conversion(layer, raster_gdb, "carnarvon_res", "", "OBJECTID OBJECTID true true false 4 Long 0 10 ,First,#,carnarvon_res.csv_Features,OBJECTID,-1,-1;LONGITUDE LONGITUDE true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,LONGITUDE,-1,-1;LATITUDE LATITUDE true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,LATITUDE,-1,-1;STRUCT_INUNDATED STRUCT_INUNDATED true true false 4 Long 0 10 ,First,#,carnarvon_res.csv_Features,STRUCT_INUNDATED,-1,-1;STRUCT_DAMAGE_fraction STRUCT_DAMAGE_fraction true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,STRUCT_DAMAGE_fraction,-1,-1;COLLAPSE_CSV_INFO COLLAPSE_CSV_INFO true true false 255 Text 0 0 ,First,#,carnarvon_res.csv_Features,COLLAPSE_CSV_INFO,-1,-1;MAX_DEPTH_m MAX_DEPTH_m true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,MAX_DEPTH_m,-1,-1;STRUCT_COLLAPSED STRUCT_COLLAPSED true true false 255 Text 0 0 ,First,#,carnarvon_res.csv_Features,STRUCT_COLLAPSED,-1,-1;STRUCT_LOSS STRUCT_LOSS true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,STRUCT_LOSS,-1,-1;CONTENTS_DAMAGE_fraction CONTENTS_DAMAGE_fraction true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,CONTENTS_DAMAGE_fraction,-1,-1;CONTENTS_LOSS CONTENTS_LOSS true true false 8 Double 0 0 ,First,#,carnarvon_res.csv_Features,CONTENTS_LOSS,-1,-1", "")

